## EmpathyIdle

EmpathyIdle

## Synopsis

                        EmpathyIdlePriv;
                        EmpathyIdle;
    EmpathyIdle*        empathy_idle_new                    (void);
    McPresence          empathy_idle_get_state              (EmpathyIdle *idle);
    void                empathy_idle_set_state              (EmpathyIdle *idle,
                                                             McPresence state);
    const gchar*        empathy_idle_get_status             (EmpathyIdle *idle);
    void                empathy_idle_set_status             (EmpathyIdle *idle,
                                                             const gchar *status);
    McPresence          empathy_idle_get_flash_state        (EmpathyIdle *idle);
    void                empathy_idle_set_flash_state        (EmpathyIdle *idle,
                                                             McPresence state);
    void                empathy_idle_set_presence           (EmpathyIdle *idle,
                                                             McPresence state,
                                                             const gchar *status);
    gboolean            empathy_idle_get_auto_away          (EmpathyIdle *idle);
    void                empathy_idle_set_auto_away          (EmpathyIdle *idle,
                                                             gboolean auto_away);
    gboolean            empathy_idle_get_auto_disconnect    (EmpathyIdle *idle);
    void                empathy_idle_set_auto_disconnect    (EmpathyIdle *idle,
                                                             gboolean auto_disconnect);

## Object Hierarchy

      GObject
       +----EmpathyIdle

## Properties

      "auto-away"                gboolean              : Read / Write
      "auto-disconnect"          gboolean              : Read / Write
      "flash-state"              McPresence            : Read / Write
      "state"                    McPresence            : Read / Write
      "status"                   gchararray            : Read / Write

## Description

## Details

### EmpathyIdlePriv

    typedef struct _EmpathyIdlePriv EmpathyIdlePriv;

### EmpathyIdle

    typedef struct _EmpathyIdle EmpathyIdle;

### empathy_idle_new ()

    EmpathyIdle*        empathy_idle_new                    (void);

Returns : |

### empathy_idle_get_state ()

    McPresence          empathy_idle_get_state              (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_state ()

    void                empathy_idle_set_state              (EmpathyIdle *idle,
                                                             McPresence state);

`idle` : |
`state` : |

### empathy_idle_get_status ()

    const gchar*        empathy_idle_get_status             (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_status ()

    void                empathy_idle_set_status             (EmpathyIdle *idle,
                                                             const gchar *status);

`idle` : |
`status` : |

### empathy_idle_get_flash_state ()

    McPresence          empathy_idle_get_flash_state        (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_flash_state ()

    void                empathy_idle_set_flash_state        (EmpathyIdle *idle,
                                                             McPresence state);

`idle` : |
`state` : |

### empathy_idle_set_presence ()

    void                empathy_idle_set_presence           (EmpathyIdle *idle,
                                                             McPresence state,
                                                             const gchar *status);

`idle` : |
`state` : |
`status` : |

### empathy_idle_get_auto_away ()

    gboolean            empathy_idle_get_auto_away          (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_auto_away ()

    void                empathy_idle_set_auto_away          (EmpathyIdle *idle,
                                                             gboolean auto_away);

`idle` : |
`auto_away` : |

### empathy_idle_get_auto_disconnect ()

    gboolean            empathy_idle_get_auto_disconnect    (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_auto_disconnect ()

    void                empathy_idle_set_auto_disconnect    (EmpathyIdle *idle,
                                                             gboolean auto_disconnect);

`idle` : |
`auto_disconnect` : |

## Property Details

### The "`auto-away`" property

      "auto-away"                gboolean              : Read / Write

Should it set presence to away if inactive.

Default value: FALSE

### The "`auto-disconnect`" property

      "auto-disconnect"          gboolean              : Read / Write

Should it set presence to offline if NM is disconnected.

Default value: FALSE

### The "`flash-state`" property

      "flash-state"              McPresence            : Read / Write

flash-state.

Default value: MC_PRESENCE_UNSET

### The "`state`" property

      "state"                    McPresence            : Read / Write

state.

Default value: MC_PRESENCE_AVAILABLE

### The "`status`" property

      "status"                   gchararray            : Read / Write

status.

Default value: NULL